Name:    kactivitymanagerd
Summary: Plasma service to manage user's activities
Version: 5.27.10
Release:    1%{?dist}

License: CC0-1.0 AND GPL-2.0-only AND GPL-2.0-or-later AND GPL-3.0-only AND LGPL-2.1-only AND LGPL-3.0-only AND LicenseRef-KDE-Accepted-GPL AND LicenseRef-KDE-Accepted-LGPL
URL:     https://invent.kde.org/plasma/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz

%global __provides_exclude_from ^(%{_kf5_qtplugindir}/.*\\.so)$

BuildRequires:  kf5-rpm-macros
BuildRequires:  systemd-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)

BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5I18n)

BuildRequires:  boost-devel


Provides:       kactivities = %{version}-%{release}
Provides:       kactivities = %{version}-%{release}

%description
%{summary}.


%prep
%autosetup -n %{name}-%{version} -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang kactivities5 --with-qt

rm -fv %{buildroot}%{_kf5_qmldir}/org/kde/activities/{libkactivitiesextensionplugin.so,qmldir}


%files -f kactivities5.lang
%license LICENSES/*
%doc README.md
%{_kf5_datadir}/qlogging-categories5/kactivitymanagerd.categories
%{_libexecdir}/kactivitymanagerd
%{_kf5_libdir}/libkactivitymanagerd_plugin.so
%{_kf5_qtplugindir}/kactivitymanagerd/
%{_kf5_datadir}/dbus-1/services/org.kde.ActivityManager.service
%{_kf5_datadir}/kservices5/kactivitymanagerd.desktop
%{_kf5_datadir}/krunner/dbusplugins/plasma-runnners-activities.desktop
%{_userunitdir}/plasma-kactivitymanagerd.service


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.10-1
- initial build
